import { Component, h, Host, Prop } from '@stencil/core';
export class DvnComponentDemo {
  constructor() {
    this.layout = 'vertical';
  }
  render() {
    return (h(Host, null,
      h("div", { class: {
          'align-items-start': true,
          'd-flex': true,
          'flex-column': this.layout !== 'horizontal',
        } },
        h("div", { innerHTML: this.domString, class: "" }),
        h("dvn-highlighted-code", { leaned: true, textToCopy: this.domString }, this.domString))));
  }
  static get is() { return "dvn-component-demo"; }
  static get encapsulation() { return "scoped"; }
  static get originalStyleUrls() { return {
    "$": ["dvn-component-demo.css"]
  }; }
  static get styleUrls() { return {
    "$": ["dvn-component-demo.css"]
  }; }
  static get properties() { return {
    "domString": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "dom-string",
      "reflect": false
    },
    "layout": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "'vertical' | 'horizontal'",
        "resolved": "\"horizontal\" | \"vertical\"",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "layout",
      "reflect": false,
      "defaultValue": "'vertical'"
    }
  }; }
}
